server:
  port: 10060
  tomcat:
    accesslog:
      condition-unless: 100ms

spring:
  application:
    name: env-gateway
  cloud:
    gateway:
      httpclient:
        pool:
          max-idle-time: 60000ms
      enabled: true
      routes:
        - id: admin
          uri: http://127.0.0.1:10061
          predicates:
            - Path=/admin/**
          filters:
            - StripPrefix=1
        - id: video
          uri: http://127.0.0.1:10062
          predicates:
            - Path=/video/**
          filters:
            - StripPrefix=1
        - id: manage
          uri: http://127.0.0.1:10063
          predicates:
            - Path=/manage/**
          filters:
            - StripPrefix=1
        - id: produce
          uri: http://127.0.0.1:10064
          predicates:
            - Path=/produce/**
          filters:
            - StripPrefix=1

logging:
  level:
    org.springframework.cloud.gateway: debug  # Gateway调试模式


